Subject: Re: Fwd: linux-next: build failure after merge of the kbuild tree

From: Paul Gortmaker <[email-masked]>
Date: Mon, 6 May 2019 10:20:10 -0400

[Re: Fwd: linux-next: build failure after merge of the kbuild tree] On 06/05/2019 (Mon 21:07) Masahiro Yamada wrote:

> Hi Paul,
> 
> 
> On Mon, May 6, 2019 at 12:34 PM Paul Gortmaker
> <[email-masked]> wrote:
> >
> > [Fwd: linux-next: build failure after merge of the kbuild tree] On 06/05/2019 (Mon 11:19) Masahiro Yamada wrote:
> >
> > > Hi Paul,
> > >
> > > In today's linux-next build testing,
> > > more "make ... explicitly non-modular"
> > > candidates showed up.
> > >
> >
> > Hi Masahiro,
> >
> > I am not 100% clear on what you are asking me.  There are lots and lots
> > of these in the kernel.... many fixed, and many remain unfortunately.
> >
> > > arch/arm/plat-omap/dma.c
> > > drivers/clocksource/timer-ti-dm.c
> > > drivers/mfd/omap-usb-host.c
> > > drivers/mfd/omap-usb-tll.c
> >
> > None of these are "new".  I just checked, and I have had patches for all
> > these for a long time, in my personal queue, found by my audits.
> 
> 
> OK, I saw many patches from you
> addressing this issue,
> so I just thought you might be motivated to
> fix them.
> 
> Anyway, I have a reason to fix them
> because a patch in my tree is causing build errors.

I understand now.  I missed the connection between these drivers and the
Kbuild change when I read this last night.  Sorry about that.

I can send the changes to those four files, but since I can't guarantee
they will be merged quickly (or at all!) - that will leave the commit in
the Kbuild tree causing build regressions for days or likely even weeks.

> So, I will do something for them
> if you do not have a plan to send patches soon.

I will be happy to send them, but we just opened the two week merge
window, and a lot of maintainers don't like getting sent new patches
until the two week merge window has closed - so we should avoid that.

I'm not sure how you would like to proceed - one way would be that we
get the drivers above changed in 5.2 and you delay your kbuild change
until we start v5.3 - to that end I'd be happy to add the Kbuild change
to my internal build testing in the meantime, if you would like.

Now that I understand the problem, let me know what you would like to
do, and I'll do what I can to help out.

Thanks,
Paul.